#include <stdio.h>
#include <ctools.h>
#include "fileio.h"




int main(int argc, char **argv)
{
	WORD version;
    WSADATA wsa;
	int fdi,fdo;
	int ch;
	unsigned char buf[1024];
	int i;

	fio_init();

	// ------------------------------------------------------
	if ((argc != 3) && (argc != 4)) {
		fio_fprintf(STDERR_FILENO,
			"Usage> %s [input mpeg-ts] [output mpeg-ps]\n"
			"       %s port:[portnum]  [output mpeg-ps]\n"
			"       %s      :               :           [skip-channel]\n",
			argv[0],argv[0],argv[0]);
		return 1;
	}

	ch = 0; if (argc == 4) { ch = atoi(argv[3]); }

	if ((argv[1][0] == 'p') && (argv[1][1] == 'o') && (argv[1][2] == 'r') && (argv[1][3] == 't') && (argv[1][4] == ':')) {
		// T[o[h
		version = MAKEWORD(1,1);
		if(WSAStartup(version, &wsa)!=0) {
			fio_fprintf(STDERR_FILENO,"Fatal: bad Winsock version\n");
		}

		if ((fdi = fio_opensocket(atoi(argv[1]+5))) < 0) {
			fio_fprintf(STDERR_FILENO,"Open socket error\n");
			return 1;
		}
		fio_fprintf(STDERR_FILENO,"FileName : %s\n",argv[2]);		
		if ((fdo = fio_open_as_stdout(argv[2],"wb")) < 0) {
			fio_fprintf(STDERR_FILENO,"File Output error\n");
			return 1;
		}

		ts_to_pes(fdi,0,0,1,ch);		//		ts_to_pes(fdi,0x104,0x102,1);
		fio_close(fdo);
		fio_close(fdi);
		WSACleanup();
	} else {
		// t@C[h
		if ((fdi = fio_open(argv[1],"rb")) < 0) {
			fio_fprintf(STDERR_FILENO,"File Input error\n");
			return 1;
		}
		if ((fdo = fio_open_as_stdout(argv[2],"wb")) < 0) {
			fio_fprintf(STDERR_FILENO,"File Output error\n");
			return 1;
		}
		ts_to_pes(fdi,0,0,1,ch);		//		ts_to_pes(fdi,0x104,0x102,1);
		fio_close(fdo);
		fio_close(fdi);
	}

	return 0;
}






